## golang-github-hashicorp-raft-boltdb 0.0~git20171010.6e5ba93

=== Makefile ===
DEPS = $(go list -f '{{range .TestImports}}{{.}} {{end}}' ./...)

.PHONY: test deps

test:
	go test -timeout=30s ./...

deps:
	go get -d -v ./...
	echo $(DEPS) | xargs -n1 go get -d

## golang-github-hashicorp-raft-boltdb 0.0~git20150201.d1e82c1

=== debian/changelog ===
golang-github-hashicorp-raft-boltdb (0.0~git20150201.d1e82c1-1) unstable; urgency=medium

  * Initial release. (Closes: #792754)

 -- Alexandre Viau <alexandre@alexandreviau.net>  Thu, 16 Jul 2015 15:07:48 -0400

=== debian/control ===
Source: golang-github-hashicorp-raft-boltdb
Section: devel
Priority: extra
Homepage: https://github.com/hashicorp/raft-boltdb
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Alexandre Viau <alexandre@alexandreviau.net>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-go,
               golang-github-hashicorp-raft-dev,
               golang-github-boltdb-bolt-dev
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-github-hashicorp-raft-boltdb.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-go/packages/golang-github-hashicorp-raft-boltdb.git

Package: golang-github-hashicorp-raft-boltdb-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-github-hashicorp-raft-dev,
         golang-github-boltdb-bolt-dev
Built-Using: ${misc:Built-Using}
Description: Raft backend implementation using BoltDB
 provides the raftboltdb package. The package exports the BoltStore which
 is an implementation of both a LogStore and StableStore. It is meant to be
 used as a backend for the raft package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_GOPKG := github.com/hashicorp/raft-boltdb

TMP     = $(CURDIR)/debian/$(PACKAGE)

%:
	dh $@ --buildsystem=golang --with=golang

## golang-github-hashicorp-raft-boltdb 0.0~git20171010.6e5ba93

=== debian/changelog ===
golang-github-hashicorp-raft-boltdb (0.0~git20171010.6e5ba93-3) unstable; urgency=medium

  * Team upload.
  * Vcs-* urls: pkg-go-team -> go-team.

 -- Alexandre Viau <aviau@debian.org>  Mon, 05 Feb 2018 23:47:25 -0500

golang-github-hashicorp-raft-boltdb (0.0~git20171010.6e5ba93-2) unstable; urgency=medium

  * point Vcs-* urls to salsa.d.o subproject

 -- Alexandre Viau <aviau@debian.org>  Thu, 25 Jan 2018 16:28:14 -0500

golang-github-hashicorp-raft-boltdb (0.0~git20171010.6e5ba93-1) unstable; urgency=medium

  [ Paul Tagliamonte ]
  * Use a secure transport for the Vcs-Git and Vcs-Browser URL.
  * Remove Built-Using from arch:all -dev package.

  [ Martín Ferrari ]
  * debian/control: Update Standards-Version (no changes).
  * debian/control: Fix Vcs-* fields.
  * debian/control: Replace golang-go with golang-any in Build-Depends.
  * debian/control: Mark package as autopkgtest-able.
  * debian/rules: Replace DH_GOPKG with XS-Go-Import-Path.

  [ Alexandre Viau ]
  * Move to salsa.debian.org.
  * Priority extra -> optional.
  * New uptram snapshot.
  * Change my email to @debian.org.

 -- Alexandre Viau <aviau@debian.org>  Sat, 30 Dec 2017 03:29:25 -0500

=== debian/control ===
Source: golang-github-hashicorp-raft-boltdb
Section: devel
Priority: optional
Homepage: https://github.com/hashicorp/raft-boltdb
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Alexandre Viau <aviau@debian.org>,
           Tim Potter <tpot@hpe.com>,
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-any,
               golang-github-boltdb-bolt-dev,
               golang-github-hashicorp-raft-dev,
Standards-Version: 4.1.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-hashicorp-raft-boltdb
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-hashicorp-raft-boltdb.git
Testsuite: autopkgtest-pkg-go
XS-Go-Import-Path: github.com/hashicorp/raft-boltdb

Package: golang-github-hashicorp-raft-boltdb-dev
Architecture: all
Depends: golang-github-boltdb-bolt-dev,
         golang-github-hashicorp-raft-dev,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Raft backend implementation using BoltDB
 provides the raftboltdb package. The package exports the BoltStore which
 is an implementation of both a LogStore and StableStore. It is meant to be
 used as a backend for the raft package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

TMP     = $(CURDIR)/debian/$(PACKAGE)

%:
	dh $@ --buildsystem=golang --with=golang
